-- ************************************ Chair ************************************ --
Chair = deriveLuaClass("Chair", "Station")

function Chair:init(desc)
	Chair.superInit(self, desc)
	self.maxOccupants = 0
end

function Chair:onWorkStart(task)
	local r = Chair.super.onWorkStart(self, task)
	assert(self.stationAnimation, "Needs a station animation")
	task.actor:playAnimation(self.stationAnimation, nil, nil, self.stationAnimationFrameTime)
	return r
end
